com.lowagie.rups.model

## Class PdfFile

- java.lang.Object
- - com.lowagie.rups.model.PdfFile

    public class PdfFile
    extends java.lang.Object

Wrapper for both iText's PdfReader (referring to a PDF file to read) and SUN's PDFFile (referring to the same PDF file to render).

### Field Summary

Fields
`protected java.io.File` `directory` The directory where the file can be found (if the PDF was passed as a file).
`protected java.lang.String` `filename` The original filename.
`protected Permissions` `permissions` The file permissions
`protected PdfReader` `reader` The PdfReader object.

### Constructor Summary

Constructors
Constructor and Description
`PdfFile(byte[] file)` Constructs a PdfFile object.
`PdfFile(java.io.File file)` Constructs a PdfFile object.

### Method Summary

Methods
`PdfReader` `getPdfReader()` Getter for iText's PdfReader object.
`protected void` `readFile(RandomAccessFileOrArray pdf)` Does the actual reading of the file into PdfReader and PDFFile.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### directory

    protected java.io.File directory

The directory where the file can be found (if the PDF was passed as a file).

#### filename

    protected java.lang.String filename

The original filename.

#### reader

    protected PdfReader reader

The PdfReader object.

#### permissions

    protected Permissions permissions

The file permissions

### Constructor Detail

#### PdfFile

    public PdfFile(java.io.File file)
            throws java.io.IOException,
                   DocumentException

Constructs a PdfFile object.

Parameters:
  `file` - the File to read
Throws:
  `java.io.IOException`
  `DocumentException`

#### PdfFile

    public PdfFile(byte[] file)
            throws java.io.IOException,
                   DocumentException

Constructs a PdfFile object.

Parameters:
  `file` - the byte[] to read
Throws:
  `java.io.IOException`
  `DocumentException`

### Method Detail

#### readFile

    protected void readFile(RandomAccessFileOrArray pdf)
                     throws java.io.IOException,
                            DocumentException

Does the actual reading of the file into PdfReader and PDFFile.

Parameters:
  `pdf` - a Random Access File or Array
Throws:
  `java.io.IOException`
  `DocumentException`

#### getPdfReader

    public PdfReader getPdfReader()

Getter for iText's PdfReader object.

Returns:
  a PdfReader object